Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 674126 (glibc-2.28-stable) - sys-libs/glibc-2.28-r6 net-dns/libidn2-2.1.1a app-arch/sharutils-4.15.2-r1 stabilization
Summary: sys-libs/glibc-2.28-r6 net-dns/libidn2-2.1.1a app-arch/sharutils-4.15.2-r1 st...
Status: RESOLVED FIXED
Alias: glibc-2.28-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 669332 669606 669742 670781 674644 675462 677122 678734 681780
Blocks: CVE-2018-1000097 671080
  Show dependency tree
 
Reported: 2018-12-30 20:20 UTC by Andreas K. Hüttel
Modified: 2019-05-02 15:32 UTC (History)
5 users (show)

See Also:
Package list:
app-arch/sharutils-4.15.2-r1 sys-libs/glibc-2.28-r6 net-dns/libidn2-2.1.1a
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel gentoo-dev 2018-12-30 20:20:19 UTC
Tracker that will become a stable request. No talking please.
Comment 1 Larry the Git Cow gentoo-dev 2019-01-08 23:40:17 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=945affcfb10bd36d0f7cda9676e990970b8b6754

commit 945affcfb10bd36d0f7cda9676e990970b8b6754
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2019-01-08 23:39:58 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2019-01-08 23:40:10 +0000

    sys-libs/glibc: 2.28 revision bump, work in progress.
    
    This revision should still get a detailed review of the test suite.
    Afterwards, it's a reasonable stable candidate.
    
    Bug: https://bugs.gentoo.org/674126
    Package-Manager: Portage-2.3.54, Repoman-2.3.12
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 sys-libs/glibc/Manifest             |    1 +
 sys-libs/glibc/glibc-2.28-r5.ebuild | 1412 +++++++++++++++++++++++++++++++++++
 2 files changed, 1413 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2019-01-10 21:18:32 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c3b72e5c1158a22fcc17212bb2ba89b8b73f8f0a

commit c3b72e5c1158a22fcc17212bb2ba89b8b73f8f0a
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2019-01-10 21:17:49 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2019-01-10 21:18:24 +0000

    sys-libs/glibc: 2.28: bump patchlevel (8, only tests); rekeyword
    
    Bug: https://bugs.gentoo.org/674126
    Package-Manager: Portage-2.3.54, Repoman-2.3.12
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 sys-libs/glibc/Manifest             | 2 +-
 sys-libs/glibc/glibc-2.28-r5.ebuild | 5 ++---
 2 files changed, 3 insertions(+), 4 deletions(-)
Comment 3 Andreas K. Hüttel gentoo-dev 2019-01-22 12:32:10 UTC
Actually we can't use libidn2-2.1.0 because the soname change means glibc won't load it on runtime. Joy! 
https://sourceware.org/bugzilla/show_bug.cgi?id=24113
Comment 4 Larry the Git Cow gentoo-dev 2019-02-09 12:11:00 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=186078398ca339a9826e0263edd639e9f44ea6d8

commit 186078398ca339a9826e0263edd639e9f44ea6d8
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2019-02-09 12:10:14 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2019-02-09 12:10:39 +0000

    net-dns/libidn2: Version bump
    
    Fixes some issues found by fuzzing. Also, reverts the soversion bump
    of 2.1.0, so glibc can load the library again.
    
    Bug: https://bugs.gentoo.org/674126
    Package-Manager: Portage-2.3.59, Repoman-2.3.12
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 net-dns/libidn2/Manifest             |  1 +
 net-dns/libidn2/libidn2-2.1.1.ebuild | 55 ++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)
Comment 5 Andreas K. Hüttel gentoo-dev 2019-03-13 12:12:56 UTC
It's that time again. Arches please test and stabilize

sys-libs/glibc-2.28-r5
net-dns/libidn2-2.1.1a
app-arch/sharutils-4.15.2-r1

glibc test failures go into separate bugs blocking here for review. Existing reports on ppc and ppc64 look harmless to me. Upstream keeps track of test failures on their wiki:
https://sourceware.org/glibc/wiki/Release/2.28

If you get >400 test failures ("linknamespace"), please upgrade and run the tests again then. Unfortunately the test suite has a bug and uses parts of the system installation, which generates problems here.

See also 
https://wiki.gentoo.org/wiki/Project:Toolchain#glibc-2.28
Comment 6 Rolf Eike Beer 2019-03-14 20:30:32 UTC
sparc stable
Comment 7 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-03-15 10:00:37 UTC
s390 stable
Comment 8 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-03-16 13:58:29 UTC
arm stable
Comment 9 Andreas K. Hüttel gentoo-dev 2019-03-24 16:47:44 UTC
You can ignore failures of the test nss/tst-nss-files-alias-leak.
Comment 10 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-03-24 17:00:18 UTC
amd64 stable
Comment 11 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-04-02 12:07:20 UTC
sh stable
Comment 12 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-04-02 12:07:43 UTC
m68k stable
Comment 13 Thomas Deutschmann gentoo-dev Security 2019-04-08 02:20:25 UTC
x86 stable
Comment 14 Matt Turner gentoo-dev 2019-04-08 06:03:28 UTC
alpha stable
Comment 15 Larry the Git Cow gentoo-dev 2019-04-08 16:03:33 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5d372702d5b5ac6170e39ebc5c2bec7606e104a

commit e5d372702d5b5ac6170e39ebc5c2bec7606e104a
Author:     Andreas K. Huettel <dilfridge@gentoo.org>
AuthorDate: 2019-04-08 16:02:10 +0000
Commit:     Andreas K. Huettel <dilfridge@gentoo.org>
CommitDate: 2019-04-08 16:03:18 +0000

    sys-libs/glibc: Forward keywords (including stable) to 2.28-r6
    
    Bug: https://bugs.gentoo.org/674126
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 sys-libs/glibc/glibc-2.28-r6.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 16 Andreas K. Hüttel gentoo-dev 2019-04-08 16:05:28 UTC
Remaining arches: please continue stabilization with glibc-2.28-r6

This adds precisely two commits, which are:
* the (Gentoo specific) fix of the test nss/tst-nss-files-alias-leak
* the addition of the new Japanese era definition
Comment 17 Andreas K. Hüttel gentoo-dev 2019-04-10 12:24:52 UTC
FAIL: resolv/tst-resolv-ai_idn
FAIL: resolv/tst-resolv-ai_idn-latin1

^ this can be ignored. 

[It's a regression introduced by libidn2-2.1.1a; fixes are already in preparation by libidn2 upstream.]
Comment 18 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-04-10 14:40:30 UTC
arm64 stable
Comment 19 Andreas K. Hüttel gentoo-dev 2019-04-24 16:04:58 UTC
@ ia64, ppc, ppc64: ping!
Comment 20 Sergei Trofimovich gentoo-dev 2019-04-27 21:05:52 UTC
ia64 stable
Comment 21 Matt Turner gentoo-dev 2019-05-01 06:22:38 UTC
ppc/ppc64 stable

(I'll do hppa tomorrow)
Comment 22 Matt Turner gentoo-dev 2019-05-02 15:32:33 UTC
hppa stable